---
apiVersion: kustomize.toolkit.fluxcd.io/v1
kind: Kustomization
metadata:
  name: netpol-kubelet-serving-cert-approver
  namespace: flux-system
spec:

  interval: 50m

  sourceRef:
    kind: ${_core_repo_kind:-GitRepository}
    name: core-addons

  serviceAccountName: kustomize-controller

  path: ./network-policies/${cni:-cilium}/kubelet-serving-cert-approver
  prune: true

  postBuild:
    substituteFrom:
      - kind: ConfigMap
        name: cluster-vars
